Retrieve card of a specific user by username Run in API Explorer
Ask AI
Get the card/profile by username.
Headers
-
The format to return errors in (if applicable) and, for some endpoints, the format to return the data in. In general, we recommend having it set to
application/jsonValues are
application/json,text/calendar,text/plain, ortext/html. Default value isapplication/json.
GET
/profile/get/{username}
curl \
--request GET 'https://pronoms.fr/api/public/v3/profile/get/{username}' \
--header "Accept: application/json"
Response examples (200)
{
"id": "01KK2M3YM6KDNR4TZFCMV46J2F",
"username": "therealbenpai",
"avatarSource": "gravatar",
"bannedReason": null,
"bannedTerms": [],
"bannedBy": null,
"team": 1,
"personally": null,
"emailHash": "f4353bfc07ad129aef250603da84be63cbe374dc27064a1c45fd9c59934944df",
"avatar": "https://gravatar.com/avatar/f4353bfc07ad129aef250603da84be63cbe374dc27064a1c45fd9c59934944df?d=https%3A%2F%2Favi.avris.it%2Fshape-240%2FdGhlcmVhbGJlbnBhaQ%3D%3D.png&s=240",
"profiles": [
{
"id": "01KK2M4X582Y1T4038WBBCMWAF",
"opinions": [
{
"icon": "keyboard",
"description": "Online",
"colour": "blue",
"style": "italics"
}
],
"names": [
{
"pronunciation": "/ˈbɛːnʤəmən/",
"voice": "en-US",
"value": "Benjamin",
"opinion": "yes"
}
],
"pronouns": [
{
"value": "https://en.pronouns.page/he&they",
"opinion": "yes"
}
],
"description": "Example Description",
"age": 18,
"links": [
"https://cake.avris.it/gA1"
],
"linksMetadata": [
{
"favicon": null,
"relMe": null,
"nodeinfo": null,
"url": "https://cake.avris.it/gA1"
},
{
"favicon": null,
"relMe": null,
"nodeinfo": null,
"url": "https://github.com/therealbenpai"
},
{
"favicon": null,
"relMe": null,
"nodeinfo": null,
"url": "https://spectrum.avris.it/aCQB"
}
],
"verifiedLinks": [],
"flags": [
"Demiromantic",
"Biromantic",
"Demisexual"
],
"customFlags": [],
"words": [
{
"header": "Honorifics",
"values": [
{
"value": "[no honorific]",
"opinion": "check-square"
}
]
},
{
"header": "Person and family descriptions",
"values": [
{
"value": "woman",
"opinion": "no"
},
{
"value": "lady",
"opinion": "no"
},
{
"value": "dude",
"opinion": "no"
},
{
"value": "enby",
"opinion": "no"
},
{
"value": "boy",
"opinion": "no"
},
{
"value": "girl",
"opinion": "no"
}
]
},
{
"header": "Compliments",
"values": [
{
"value": "sexy",
"opinion": "no"
}
]
},
{
"header": "Relationship descriptions",
"values": [
{
"value": "girlfriend",
"opinion": "no"
},
{
"value": "enbyfriend",
"opinion": "no"
},
{
"value": "joyfriend",
"opinion": "no"
}
]
}
],
"timezone": {
"tz": "America/Detroit",
"area": true,
"loc": false
},
"teamName": "Benjamin",
"footerName": null,
"footerAreas": [],
"credentials": [],
"credentialsLevel": null,
"credentialsName": null,
"card": null,
"cardDark": null,
"circle": [],
"sensitive": [],
"markdown": true,
"events": [
"holocaust_remembrance_day",
"asexuality_day",
"pride_month",
"LGBTQ+ History Month (US/Canada/Australia)",
"trans_month",
"aids_awareness_month"
],
"customEvents": [],
"visibility": 0,
"access": true,
"lastUpdate": "01KK2MKQKHMQ01G2GNSMXQ1CMG",
"locale": "en"
}
]
}
Response examples (default)
Bad Request (400)
The request contains invalid content
{
"error": true,
"statusCode": 400,
"statusMessage": "Bad Request",
"message": "XYZ contains an invalid value",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The user requesting this data is not authorised to access the requested section
{
"error": true,
"statusCode": 401,
"statusMessage": "Unauthorised",
"message": "You are not authorised to access this content",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested item could not be resolved/located
{
"error": true,
"statusCode": 404,
"statusMessage": "Not Found",
"message": "Requested Item Not Found",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested API version has either been completely removed or marked as depreciated
{
"error": true,
"statusCode": 410,
"statusMessage": "Gone",
"message": "v1 has been marked as depreciated; please use v2 or v3",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
Unknown Server Error
{
"error": true,
"statusCode": 500,
"statusMessage": "Server Error",
"message": "An unknown server error has occured, please try again later",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}